#ifndef LABELNODE_H
#define LABELNODE_H

#include "scene/textnode.h"
#include "scene/gui/guinode.h"

class LabelNode : public GUINode
{
    TextNode* m_text;
    std::string m_string;
    bool m_string_updated;
    glm::vec3 m_color;
    bool m_color_updated;
    bool m_was_updated;

public:
    LabelNode();
    void update();
    void setText(std::string s);
    void setColor(glm::vec3 color);
    glm::vec2 getDimension();
    bool wasUpdated();
};

#endif // LABELNODE_H
